Folliow

Loading...
Searching...
No Matches
User Class Reference
Inheritance diagram for User:

## Public Member Functions
| __construct ()
| getId ()
| setId (int $id)
| getName ()
| setName (string $name)
| getFirstname ()
| setFirstname (string $firstname)
| getPseudo ()
| setPseudo (string $pseudo)
| getImage ()
| setImage (?string $image)
| getMail ()
| setMail (string $mail)
| getPwd ()
| getPwdHash ()
| setPwd (string $pwd)
| getPhone ()
| setPhone (string $phone)
| getWork ()
| setWork (string $work)
| getBirth ()
| setBirth (?string $birth)
| getLocation ()
| setLocation (string $location)
| getDescription ()
| setDescription (string $description)
| getAccountCreation ()
| setAccountCreation (string $account_creation)
| getStatus ()
| setStatus (int $status)
Public Member Functions inherited from Mother
| hydrate (array $arrData)

## Additional Inherited Members
Protected Member Functions inherited from Mother
| nettoyer (string $strText)
Protected Attributes inherited from Mother
string | $_prefix = ''

## Detailed Description

Classe d'un objet User

Author
  Besnik & Laura

## Constructor & Destructor Documentation

## ◆ __construct()

__construct | ( |  | ) |

le constructeur de la table user

## Member Function Documentation

## ◆ getAccountCreation()

getAccountCreation | ( |  | ) |

Récuperation de la date de création d'un utilisateur

Returns
  string la date de création de l'utilisateur

## ◆ getBirth()

getBirth | ( |  | ) |

Récuperation de la date de naissance d'un utilisateur

Returns
  string la date de naissance de l'utilisateur

## ◆ getDescription()

getDescription | ( |  | ) |

Récuperation de la description d'un utilisateur

Returns
  string la description de l'utilisateur

## ◆ getFirstname()

getFirstname | ( |  | ) |

Récuperation du prénom d'un utilisateur

Returns
  string le prénom de l'utilisateur

## ◆ getId()

getId | ( |  | ) |

Récuperation de l'id d'un utilisateur

Returns
  int l'id de l'utilisateur

## ◆ getImage()

getImage | ( |  | ) |

Récuperation du nom de l'image d'un utilisateur

Returns
  string du nom de l'image de l'utilisateur

## ◆ getLocation()

getLocation | ( |  | ) |

Récuperation de la localisation d'un utilisateur

Returns
  string la localisation de l'utilisateur

## ◆ getMail()

getMail | ( |  | ) |

Récuperation de l'email d'un utilisateur

Returns
  string l'email de l'utilisateur

## ◆ getName()

getName | ( |  | ) |

Récuperation du nom d'un utilisateur

Returns
  string le nom de l'utilisateur

## ◆ getPhone()

getPhone | ( |  | ) |

Récuperation du numéro de téléphone d'un utilisateur

Returns
  string le numéro de téléphone de l'utilisateur

## ◆ getPseudo()

getPseudo | ( |  | ) |

Récuperation du pseudo unique d'un utilisateur

Returns
  string le pseudo de l'utilisateur

## ◆ getPwd()

getPwd | ( |  | ) |

Récuperation du mot de passe d'un utilisateur

Returns
  string le mot de passe de l'utilisateur

## ◆ getPwdHash()

getPwdHash | ( |  | ) |

Récuperation du mot de passe haché d'un utilisateur

Returns
  string le mot de passe haché de l'utilisateur

## ◆ getStatus()

getStatus | ( |  | ) |

Récuperation de l'id du statut d'un utilisateur

Returns
  int l'id du statut de l'utilisateur

## ◆ getWork()

getWork | ( |  | ) |

Récuperation de la profession d'un utilisateur

Returns
  string la profession de l'utilisateur

## ◆ setAccountCreation()

setAccountCreation | ( | string | $account_creation | ) |

Mise à jour de la date de création d'un utilisateur

Returns
  string la nouvelle date de création de l'utilisateur

## ◆ setBirth()

setBirth | ( | ?string | $birth | ) |

Mise à jour de la date de naissance d'un utilisateur

Returns
  string la nouvelle date de naissance de l'utilisateur

## ◆ setDescription()

setDescription | ( | string | $description | ) |

Mise à jour de la description d'un utilisateur

Returns
  string la nouvelle description de l'utilisateur

## ◆ setFirstname()

setFirstname | ( | string | $firstname | ) |

Mise à jour du prénom d'un utilisateur

Returns
  string le nouveau prénom de l'utilisateur

## ◆ setId()

setId | ( | int | $id | ) |

Mise à jour de l'id d'un utilisateur

Parameters

  int | le nouvelle id de l'utilisateur

## ◆ setImage()

setImage | ( | ?string | $image | ) |

Mise à jour du nom de l'image d'un utilisateur

Returns
  string le nouveau nom de l'image de l'utilisateur

## ◆ setLocation()

setLocation | ( | string | $location | ) |

Mise à jour de la localisation d'un utilisateur

Returns
  string la nouvelle localisation de l'utilisateur

## ◆ setMail()

setMail | ( | string | $mail | ) |

Mise à jour de l'email d'un utilisateur

Returns
  string le nouvel email de l'utilisateur

## ◆ setName()

setName | ( | string | $name | ) |

Mise à jour du nom d'un utilisateur

Returns
  string le nouveau nom de l'utilisateur

## ◆ setPhone()

setPhone | ( | string | $phone | ) |

Mise à jour du numéro de téléphone d'un utilisateur

Returns
  string le nouveau numéro de téléphone de l'utilisateur

## ◆ setPseudo()

setPseudo | ( | string | $pseudo | ) |

Mise à jour du pseudo unique d'un utilisateur

Returns
  string le nouveau pseudo de l'utilisateur

## ◆ setPwd()

setPwd | ( | string | $pwd | ) |

Mise à jour du mot de passe d'un utilisateur

Returns
  string le nouveau mot de passe de l'utilisateur

## ◆ setStatus()

setStatus | ( | int | $status | ) |

Mise à jour de l'id du statut d'un utilisateur

Returns
  int le nouvel id du statut de l'utilisateur

## ◆ setWork()

setWork | ( | string | $work | ) |

Mise à jour de la profession d'un utilisateur

Returns
  string la nouvelle profession de l'utilisateur

The documentation for this class was generated from the following file:

- D:/projetphp/entities/User.php